Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1595296 - Subscription update value of 0 passes UI validation, but fails in task.
Summary: Subscription update value of 0 passes UI validation, but fails in task.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 14:20 UTC by jcallaha
Modified: 2019-04-01 20:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:05:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
bad validation (deleted)
2018-06-26 14:20 UTC, jcallaha
no flags Details
verification screenshot (deleted)
2018-07-18 19:40 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24197 None None None 2018-07-09 10:54:40 UTC

Description jcallaha 2018-06-26 14:20:00 UTC
Created attachment 1454678 [details]
bad validation

Description of problem:
Entering a value of 0, in the entitlements field, passes the UI validation. However, the task itself will fail with "Quantity value must be greater than 0".

See attached screenshot

Version-Release number of selected component (if applicable):
6.4 Snap 9

How reproducible:
Always

Steps to Reproduce:
1. Upload a manifest with subscriptions.
2. Navigate to the Subscriptions page
3. Edit an entitlements field, and enter a value of 0

Actual results:
There are no validation warnings, and you can submit changes.

Expected results:
Validation checks catch the bad value and does not let you submit changes.

Comment 2 Tomas Strachota 2018-07-09 10:54:38 UTC
Created redmine issue https://projects.theforeman.org/issues/24197 from this bug

Comment 3 pm-sat@redhat.com 2018-07-09 12:06:58 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 4 pm-sat@redhat.com 2018-07-09 12:07:01 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 5 pm-sat@redhat.com 2018-07-09 14:06:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/24197 has been resolved.

Comment 6 jcallaha 2018-07-18 19:40:00 UTC
Verified in Satellite 6.4 Snap 12. 

The form now correctly catches the 0 value during validation. Additionally, the form won't let you try to submit changes. 

See attached screenshot for verification.

Comment 7 jcallaha 2018-07-18 19:40:17 UTC
Created attachment 1459795 [details]
verification screenshot

Comment 8 Bryan Kearney 2018-10-16 19:05:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.